> For the complete documentation index, see [llms.txt](https://docs.pinot.apache.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pinot.apache.org/release-1.4.0/configuration-reference.md).

# Configuration Reference

- [Cluster](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/cluster.md)
- [Controller](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/controller.md)
- [Broker](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/broker.md)
- [Server](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/server.md)
- [Table](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/table.md): The tables below shows the properties available to set at the table level.
- [Ingestion](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/ingestion.md)
- [Schema](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/schema.md)
- [Database](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/database.md)
- [Ingestion Job Spec](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/job-specification.md)
- [Monitoring Metrics](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/monitoring-metrics.md)
- [Plugin Reference](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/plugin-reference.md): This document maintains configs for each of the supported plugins in Apache Pinot
- [Stream Ingestion Connectors](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/plugin-reference/stream-ingestion-connectors.md): This documents lists all the configurations for each of the supported stream ingestion connectors.
- [VAR\_POP](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/plugin-reference/var_pop.md): This section contains reference documentation for the VAR\_POP function.
- [VAR\_SAMP](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/plugin-reference/var_samp.md): This section contains reference documentation for the VAR\_SAMP function.
- [STDDEV\_POP](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/plugin-reference/stddev_pop.md): This section contains reference documentation for the STDDEV\_POP function.
- [STDDEV\_SAMP](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/plugin-reference/stddev_samp.md): This section contains reference documentation for the STDDEV\_SAMP function.
- [Dynamic Environment](https://docs.pinot.apache.org/release-1.4.0/configuration-reference/dynamic-environment.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pinot.apache.org/release-1.4.0/configuration-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
